org.eclipse.net4j.util.security

## Interface ICredentialsProvider

- All Known Subinterfaces:
    ICredentialsProvider2, IPasswordCredentialsProvider, IPasswordCredentialsProvider2
  All Known Implementing Classes:
    InteractiveCredentialsProvider, PasswordCredentialsProvider, PasswordCredentialsProvider.Delegating

      public interface ICredentialsProvider

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICredentials` | `getCredentials()`
    `boolean` | `isInteractive()`

- - ### Method Detail

    - #### isInteractive

          boolean isInteractive()

    - #### getCredentials

          ICredentials getCredentials()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html